Subject: Re: bug#13701: 24.2.93; Segmentation fault

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 13 Feb 2013 09:11:49 +0100

Hi Thierry, Glenn and all,

Thierry Volpiatto wrote:
> Glenn Morris <[email-masked]> writes:
>> "Sebastien Vauban" wrote:
>>
>>> warning: sys_read called when read is in progress
>>
>> Searching for this message, I found that the only hit is crashes
>> previously reported by you in Emacs 24.1 and 24.2:
>>
>> http://lists.gnu.org/archive/html/help-gnu-emacs/2012-10/msg00021.html
>>
>> So maybe the issue(s) is not new and is caused by some unusual
>> circumstance on your machine.
>
> The initial problem was the user is setting `shell-file-name' to
> "/path/to/bash" on a windows machine where the value is normally
> "/path/to/cmdproxy.exe".
> The result is that all externals programs made to be used with
> "cmdproxy.exe" are crashing Emacs.
> In the case of `helm', the user is crashing Emacs with the helm-locate
> command which use the executable "es.exe" which is part of "everything"
> program.
> So I think these crash are not the fault of Emacs nor helm, but a bad
> setting of user.
>
> So the question is:
> Sebastien, are you still using shell-file-name==bash in your config ?

The answer is yes:

  ╭────
  │ shell-file-name is a variable defined in `C source code'.
  │ Its value is "c:/cygwin/bin/bash.exe"
  ╰────

IIRC, I was asked by Eli (or, at the very least, allowed) to set back Bash as
my inferior shell.

FYI, I'm using that setting since 1999, when I began really working with
Emacs, and it did not cause any problems either with Helm (in that time,
Anything) for the last years in which I used it (at least, from 2010).

Problems began appearing with Emacs 24, IIRC.

That does not mean I absolutely have to keep that setting, but this is _by far_
my preferred one, as I'm using Cygwin Bash (or Zsh) all around the place, and
I want to be able to do the exact same thing from withing Emacs: for example,
calling one of my script on a selected region, or things like that.

Best regards,
  Seb

-- 
Sebastien Vauban